[Top][All Lists]
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[Automake-commit] [SCM] GNU Automake branch, ad-parallel-tests, updated.
From: |
Ralf Wildenhues |
Subject: |
[Automake-commit] [SCM] GNU Automake branch, ad-parallel-tests, updated. Release-1-10-288-g868fb04 |
Date: |
Sat, 28 Mar 2009 20:09:36 +0000 |
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU Automake".
http://git.sv.gnu.org/gitweb/?p=automake.git;a=commitdiff;h=868fb04577daf9c47a4a2bcdd9a92cb78e6cf056
The branch, ad-parallel-tests has been updated
via 868fb04577daf9c47a4a2bcdd9a92cb78e6cf056 (commit)
from 66c2dcaa51c7a1216053dc2dde2d704aa17deef6 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
- Log -----------------------------------------------------------------
commit 868fb04577daf9c47a4a2bcdd9a92cb78e6cf056
Author: Ralf Wildenhues <address@hidden>
Date: Sat Mar 28 21:01:43 2009 +0100
check-html: Always create HTML output, note conversion failure.
* lib/am/check.am (check-html): Create `$(TEST_SUITE_HTML)' in
any case. Exit unsuccessfully if HTML creation failed.
* tests/parallel-tests2.test: Amend test to expose this.
Signed-off-by: Ralf Wildenhues <address@hidden>
-----------------------------------------------------------------------
Summary of changes:
ChangeLog | 7 +++++++
lib/Automake/tests/Makefile.in | 10 +++++-----
lib/am/check.am | 10 +++++-----
tests/Makefile.in | 10 +++++-----
tests/parallel-tests2.test | 7 +++++++
5 files changed, 29 insertions(+), 15 deletions(-)
diff --git a/ChangeLog b/ChangeLog
index b4c7b4b..f063cde 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,10 @@
+2009-03-28 Ralf Wildenhues <address@hidden>
+
+ check-html: Always create HTML output, note conversion failure.
+ * lib/am/check.am (check-html): Create `$(TEST_SUITE_HTML)' in
+ any case. Exit unsuccessfully if HTML creation failed.
+ * tests/parallel-tests2.test: Amend test to expose this.
+
2009-03-24 Ralf Wildenhues <address@hidden>
parallel-tests: per-extension test driver: <EXT>_LOG_COMPILER.
diff --git a/lib/Automake/tests/Makefile.in b/lib/Automake/tests/Makefile.in
index c732762..73e27ff 100644
--- a/lib/Automake/tests/Makefile.in
+++ b/lib/Automake/tests/Makefile.in
@@ -411,11 +411,11 @@ check-TESTS:
# Be sure to run check-TESTS first, and then to convert the result.
# Beware of concurrent executions. And expect check-TESTS to fail.
check-html:
- @if $(MAKE) $(AM_MAKEFLAGS) check-TESTS; then :; else \
- rv=$$?; \
- $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_HTML); \
- exit $$rv; \
- fi
+ @if $(MAKE) $(AM_MAKEFLAGS) check-TESTS; then \
+ rv=0; else rv=$$?; \
+ fi; \
+ $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_HTML) || exit 4; \
+ exit $$rv
.pl.log:
@p='$<'; $(am__check_pre) $(PL_LOG_COMPILE) "$$tst" $(am__check_post)
diff --git a/lib/am/check.am b/lib/am/check.am
index 28af2ee..b8b512e 100644
--- a/lib/am/check.am
+++ b/lib/am/check.am
@@ -266,11 +266,11 @@ check-TESTS:
# Be sure to run check-TESTS first, and then to convert the result.
# Beware of concurrent executions. And expect check-TESTS to fail.
check-html:
- @if $(MAKE) $(AM_MAKEFLAGS) check-TESTS; then :; else \
- rv=$$?; \
- $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_HTML); \
- exit $$rv; \
- fi
+ @if $(MAKE) $(AM_MAKEFLAGS) check-TESTS; then \
+ rv=0; else rv=$$?; \
+ fi; \
+ $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_HTML) || exit 4; \
+ exit $$rv
.PHONY: check-html
.MAKE: check-html
diff --git a/tests/Makefile.in b/tests/Makefile.in
index 49cb2a2..7547a2c 100644
--- a/tests/Makefile.in
+++ b/tests/Makefile.in
@@ -1122,11 +1122,11 @@ check-TESTS:
# Be sure to run check-TESTS first, and then to convert the result.
# Beware of concurrent executions. And expect check-TESTS to fail.
check-html:
- @if $(MAKE) $(AM_MAKEFLAGS) check-TESTS; then :; else \
- rv=$$?; \
- $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_HTML); \
- exit $$rv; \
- fi
+ @if $(MAKE) $(AM_MAKEFLAGS) check-TESTS; then \
+ rv=0; else rv=$$?; \
+ fi; \
+ $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_HTML) || exit 4; \
+ exit $$rv
.test.log:
@p='$<'; $(am__check_pre) $(TEST_LOG_COMPILE) "$$tst" $(am__check_post)
diff --git a/tests/parallel-tests2.test b/tests/parallel-tests2.test
index 17a5108..61b05e8 100755
--- a/tests/parallel-tests2.test
+++ b/tests/parallel-tests2.test
@@ -56,4 +56,11 @@ $AUTOMAKE -a
$MAKE check-html >stdout && { cat stdout; Exit 1; }
cat stdout
test -f mylog.html
+
+# Always create the HTML output, even if there were no failures.
+rm -f mylog.html
+env TESTS=foo.test $MAKE -e check-html >stdout || { cat stdout; Exit 1; }
+cat stdout
+test -f mylog.html
+
:
hooks/post-receive
--
GNU Automake
[Prev in Thread] |
Current Thread |
[Next in Thread] |
- [Automake-commit] [SCM] GNU Automake branch, ad-parallel-tests, updated. Release-1-10-288-g868fb04,
Ralf Wildenhues <=